@echo OFF
set ALG_EVAL=.\bin\Evaluator.exe 

setlocal EnableDelayedExpansion

SET BASEDIR_EVAL_GT=.\sets
SET BASEDIR_EVAL_INPUT=.\results

SET FILENAME_EVAL_GT=gt-%%05d.png
SET FILENAME_EVAL_INPUT=1-output-%%05d.png
::SET FILENAME_EVAL_INPUT=motion-%%05d.bmp
SET FILENAME_EVAL_OUTPUT=0-eval-%%05d.png

SET INTERACTIVE=0

rem -1  save the PR curves and not interactive; 0 - not interactive; 1 - fully interactive
rem source_gt(i) = source_alg(i+source_shift)
SET SHIFT=0

SET SET_NAME=%1
IF "%1"=="" goto :instructions
IF NOT "%2"=="" SET SHIFT=%2
IF not "%3"=="" SET BASEDIR_EVAL_INPUT=%3


SET BASEDIR_EVAL_OUTPUT=%BASEDIR_EVAL_INPUT%

if EXIST "sets\%SET_NAME%" (
	call sets\%SET_NAME%\variables.cmd
	if not EXIST "%BASEDIR_EVAL_OUTPUT%\%SET_NAME%" mkdir %BASEDIR_EVAL_OUTPUT%\%SET_NAME%

	%ALG_EVAL%  %BASEDIR_EVAL_GT%\%SET_NAME%\GT\%FILENAME_EVAL_GT% %BASEDIR_EVAL_INPUT%\%SET_NAME%\%FILENAME_EVAL_INPUT% %SHIFT% !EVAL_FRAME_START! !EVAL_FRAME_END! !FRAME_SKIP! !EVAL_FRAME_CUTOFF! %BASEDIR_EVAL_GT%\%SET_NAME%\input.avi  %BASEDIR_EVAL_OUTPUT%\%SET_NAME%\%FILENAME_EVAL_OUTPUT% %INTERACTIVE%
	)ELSE (
	Echo Invalid set name. Valid datasets are:
	dir /B sets
	echo ----------------------------------------------------------------------	
	goto :instructions
)
goto :eof

:instructions
	echo Usage:
	echo    evaluate.cmd [dataset] [shift] [eval_dir_input]


